summaryrefslogtreecommitdiff
path: root/tests/lib
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2018-02-15 19:08:17 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-06-16 12:25:49 +0100
commit8900e2002df925ebdf4941d18094fc5ca408e027 (patch)
tree7d3e3ab3effb3d2329f947b941a0d4200153d014 /tests/lib
parent1318a9419f2b6dae0318146cb9fe08d3f4ceb780 (diff)
test suite: something to have a salsa (general purpose git) repo
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/lib')
-rw-r--r--tests/lib7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/lib b/tests/lib
index ce89a70..e226637 100644
--- a/tests/lib
+++ b/tests/lib
@@ -189,6 +189,13 @@ t-git-none () {
(set -e; cd $tmp/git; tar xf $troot/git-template.tar)
}
+t-salsa-add-remote () {
+ local d=$tmp/salsa/$p
+ mkdir -p $d
+ (set -e; cd $d; git init --bare)
+ git remote add ${1-origin} $d
+}
+
t-git-merge-base () {
git merge-base $1 $2 || test $? = 1
}